import _Basic from './Basic.vue';
import VueGridLayout from 'vue-grid-layout';
import { App, Plugin } from 'vue';
type SFCWithInstall<T> = T & Plugin;
const withInstall = <T>(comp: T) => {
    (comp as SFCWithInstall<T>).install = (app: App) => {
        const name = (comp as any).name;
        app.component(name, comp as SFCWithInstall<T>);
        app.use(VueGridLayout);
    }
    return comp as SFCWithInstall<T>;
}
export const Basic = withInstall(_Basic);
export default Basic;